set term postscript eps monochrome "Times-Roman" 16
set size 0.6,0.6
set output "fn-fp-vs-t.eps"
set xlabel 'Time (s)'
set yrange [-110:150]
set ylabel 'False Negatives and False Positives (%)'
plot	'fnData.txt' using ($1/1000):(-$2*100) title 'False Negatives' with lines, \
	    'fpData.txt' using ($1/1000):($2*100) title 'Bloom Filter FP' with lines, \
        'fpData.txt' using ($1/1000):($3*100) title 'Predicate FP' with lines, \
        'fpData.txt' using ($1/1000):($4*100) title 'Total FP' with lines
        
