#!/bin/bash
set -v
#clean
sudo tc qdisc del dev eth0 root
#root
sudo tc qdisc add dev eth0 root handle 1: htb default 12
#class
sudo tc class add dev eth0 parent 1: classid 1:1 htb rate 100kbps ceil 100kbps
#leaf classes
sudo tc class add dev eth0 parent 1:1 classid 1:11 htb rate 9kbps ceil 9kbps
sudo tc class add dev eth0 parent 1:1 classid 1:12 htb rate 100kbps ceil 100kbps
# attach qdisc to leaf classes
sudo tc qdisc add dev eth0 parent 1:11 handle 11: netem delay 100ms drop 100
sudo tc qdisc add dev eth0 parent 1:12 handle 12: sfq perturb 10
#qdisc filters
sudo tc filter add dev eth0 parent 1:0 prio 0 protocol ip handle 12 fw flowid 1:12
sudo tc filter add dev eth0 parent 1:0 prio 0 protocol ip handle 11 fw flowid 1:11
#specific filters
sudo tc filter add dev eth0 parent 1:0 prio 0 protocol ip u32 match ip dst 195.176.181.11/32 flowid 1:11
