dnl
dnl -*- m4 -*-
dnl
dnl  This file is part of WEEVILGEN.
dnl
dnl  Authors: See the file AUTHORS for full details.
dnl
dnl  Copyright (C) 2002-2004 University of Colorado
dnl
dnl  This program is free software; you can redistribute it and/or
dnl  modify it under the terms of the GNU General Public License
dnl  as published by the Free Software Foundation; either version 2
dnl  of the License, or (at your option) any later version.
dnl
dnl  This program is distributed in the hope that it will be useful,
dnl  but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl  GNU General Public License for more details.
dnl
dnl  You should have received a copy of the GNU General Public License
dnl  along with this program; if not, write to the Free Software
dnl  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307,
dnl  USA, or send email to serl@cs.colorado.edu.
dnl
dnl $Id: MyWorkload.m4,v 1.1.1.1 2004/11/02 23:36:43 ywang Exp $
dnl
dnl process types
dnl
WVL_SYS_WorkloadProcessType( `SienaClient', `simple_fwd_types.h, simple_fwd_types.cc, gen_message.h, gen_message.cc, sienaclient.cc', `libsff')dnl
WVL_SYS_ExternalLibrary(`libsff', `-I/usr/include -L/usr/lib', `-lsff', `/usr/lib')dnl
WVL_SYS_WorkloadProcessType( `ServerLinkConfig', `serverlinksim.cc', `')dnl
dnl
dnl processes
dnl
define(`clients', `C1, C2, C3, C4, C5, C6')dnl
WVL_SYS_WorkloadProcess( `CL', `ServerLinkConfig')dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcess( i, `SienaClient')', clients)dnl
dnl
dnl properties
dnl
dnl set network topology (each pair represents a link between nodes)
WVL_SYS_WorkloadProcessProp( `CL', `neighbors', `"S1,S2|S1,S4|S2,S3|S2,S5|S3,S6|S4,S5|S5,S6|"')dnl
dnl tell each actor who the other actors are (used to signal messages o each other and count expected messages)
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `sub_neighbors', `"WVL_SYS_Foreach(`j', `j,', clients)"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `constr_min', `1')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `constr_max', `1')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `attr_min', `3')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `attr_max', `4')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `attr_dist_f', `"attr_names.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `constr_dist_f', `"constr_names.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `types_dist_f', `"types.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `op_dist_f', `"operators.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `op_string_dist_f', `"string_operators.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `str_dist_f', `"str_values.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `int_dist_f', `"int_values.dist"')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `bool_dist_f', `"bool_values.dist"')', clients)dnl
dnl WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_subs', `20')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `sub_timeout', `15000')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `unsub_timeout', `20000')', clients)dnl
dnl WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `num_pubs', `40')', clients)dnl
WVL_SYS_Foreach(`i', `WVL_SYS_WorkloadProcessProp( i, `pub_timeout', `6000')', clients)dnl
dnl
dnl workloads
dnl
WVL_SYS_WorkloadScenario( `MyWorkload', `60000', `clients'`, CL')dnl
dnl
